@import url("https://fonts.googleapis.com/css2?family=Barlow+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=DM+Mono:ital,wght@0,300;0,400;0,500;1,300;1,400;1,500&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Barlow Condensed", sans-serif;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

h1 {
  text-transform: uppercase;
  color: #141414;
  font-size: 12rem;
  font-weight: 800;
  line-height: 1;
}

a {
  text-decoration: none;
  text-transform: uppercase;
  color: #141414;
  font-family: "DM Mono";
  font-size: 0.9rem;
  font-weight: 500;
}

nav {
  position: fixed;
  width: 100vw;
  padding: 2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1;
}

.nav-logo a {
  font-family: "Barlow Condensed", sans-serif;
  font-size: 1.25rem;
  font-weight: 700;
}

.nav-links {
  display: flex;
  gap: 2rem;
}

.container {
  position: relative;
  width: 100%;
  height: 100%;
  min-height: 100svh;
  background-color: #e3e4d8;
}

.page-header {
  width: 100vw;
  height: 100svh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2rem;
}

.archive {
  width: 30%;
  margin: 0 auto;
  padding: 15rem 2rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.archive img {
  aspect-ratio: 5/7;
}

.transition-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100svh;
  display: flex;
  pointer-events: none;
  z-index: 2;
}

.block {
  flex: 1;
  height: 100%;
  background: #222;
  transform: scaleX(0);
  transform-origin: left;
}

.logo-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100svh;
  z-index: 10000;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #222;
  pointer-events: none;
  opacity: 0;
}

.logo-container {
  width: 200px;
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.char {
  position: relative;
  display: inline-block;
  will-change: transform;
}

@media (max-width: 900px) {
  h1 {
    font-size: 2rem;
  }
}
